predict.loess {modreg} | R Documentation

## Predict Loess Curve or Surface

### Description

Predictions from a `loess` fit, optionally with standard errors.

### Usage

    predict.loess(object, newdata = NULL, se = FALSE)

### Arguments

`object` | an object fitted by `loess`.
`newdata` | an optional data frame specifying points at which to do the predictions. If missing, the original data points are used.
`se` | should standard errors be computed?

### Details

The standard errors calculation is slower than prediction.

When the fit was made using `surface="interpolate"` (the default), `predict.loess` will not extrapolate – so points outside an axis-aligned hypercube enclosing the original data will have missing (`NA`) predictions and standard errors.

### Value

If `se = FALSE`, a vector giving the prediction for each row of `newdata` (or the original data). If `se = TRUE`, a list containing components

`fit` | the predicted values.
`se` | an estimated standard error for each predicted value.
`residual.scale` | the estimated scale of the residuals used in computing the standard errors.
`df` | an estimate of the effective degrees of freedom used in estimating the residual scale, intended for use with t-based confidence intervals.

### Author(s)

B.D. Ripley, based on the `cloess` package of Cleveland, Grosse and Shyu.

### See Also

`loess`

### Examples

    data(cars)
    cars.lo <- loess(dist ~ speed, cars)
    predict(cars.lo, data.frame(speed=seq(5, 30, 1)), se=TRUE)
    # to get extrapolation
    cars.lo2 <- loess(dist ~ speed, cars,
      control=loess.control(surface="direct"))
    predict(cars.lo2, data.frame(speed=seq(5, 30, 1)), se=TRUE)

[Package Contents]